Subject: RE: bug#25751: Query replace lazy highlighting

From: Drew Adams <[email-masked]>
Date: Sat, 18 Feb 2017 15:51:59 -0800 (PST)

> > You could still leave the "lazy" part, if you both remove and re-add
> > the overlays after the idle delay.  IOW, the important thing is not to
> > have redisplay between removal and addition of the highlight.
> 
> That's an option too, and here is the tested patch (it sets
> lazy-highlight-max-at-a-time to nil to avoid redisplay between
> lazy iterations):

How does this relate to what has been discussed so far in bug #21092?